
Name:    pidgin-indicator
Summary: StatusNotifierItem tray icon plugin for Pidgin
Version: 0.9
Release: 1%{?dist}

License: GPLv2+
URL:     https://github.com/philipl/pidgin-indicator
Source0: https://github.com/philipl/pidgin-indicator/releases/download/%{version}/pidgin-indicator-%{version}.tar.bz2

BuildRequires: gettext
BuildRequires: intltool
BuildRequires: pkgconfig(appindicator-0.1)
BuildRequires: pkgconfig(pidgin)
BuildRequires: perl(XML::Parser)

Requires: pidgin

%description
This plugin provides a StatusNotifierItem tray icon, for use in
KDE Plasma 5, Unity, Elementary and other environments.

It provides all the same functionality as the original tray icon
but not in exactly the same way:
* The smart click behavior that either shows the buddy list or
unread messages is now activated by a middle-click because
left click on an libappindicator always opens the menu.
* As the SNI-icon is a separate process from pidgin itself, there
are sometimes conflicts with Focus Stealing Prevention when you
use the indicator to go to unread messages. You may need to
disable FSP for Pidgin to get around this.
* Due to how libappindicator work, the middle-click action must
also be a menu item, so it's the new Show/Hide item at the top
of the menu.
* Due to libappindicator limitations, some of the special icons
cannot be shown next to menu items any more.


%prep
%autosetup


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%find_lang pidgin-indicator

## unpackaged files
rm -fv %{buildroot}%{_libdir}/pidgin/indicator.la


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f pidgin-indicator.lang
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/pidgin/indicator.*
%{_datadir}/icons/hicolor/*/status/pidgin-indicator-nothing.png


%changelog
* Sat Mar 05 2016 Rex Dieter <rdieter@fedoraproject.org> 0.9-1
- 0.9

* Mon Jun 15 2015 Radek Vokal <rvokal@redhat.com> - 0.1-1
- Initial package build
